/**
 * This file Copyright (c) 1993-2009 Magnolia International
 * Ltd.  (http://www.magnolia-cms.com). All rights reserved.
 *
 *
 * This file is dual-licensed under both the Magnolia
 * Network Agreement and the GNU General Public License.
 * You may elect to use one or the other of these licenses.
 *
 * This file is distributed in the hope that it will be
 * useful, but AS-IS and WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE, TITLE, or NONINFRINGEMENT.
 * Redistribution, except as permitted by whichever of the GPL
 * or MNA you select, is prohibited.
 *
 * 1. For the GPL license (GPL), you can redistribute and/or
 * modify this file under the terms of the GNU General
 * Public License, Version 3, as published by the Free Software
 * Foundation.  You should have received a copy of the GNU
 * General Public License, Version 3 along with this program;
 * if not, write to the Free Software Foundation, Inc., 51
 * Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * 2. For the Magnolia Network Agreement (MNA), this file
 * and the accompanying materials are made available under the
 * terms of the MNA which accompanies this distribution, and
 * is available at http://www.magnolia-cms.com/mna.html
 *
 * Any modifications to this file must keep this entire header
 * intact.
 *
 */

classDef("mgnl.dms.DMSDialog", {

    init: function(){
        // change the default function
        mgnlControlFileSetFileName = mgnl.dms.DMSDialog.setFileName;
    },
    
    setFileName: function(id,clear){
        var nameElem=document.getElementById(id+"_fileName");
        var extElem=document.getElementById(id+"_extension");
    
        var ext="";
        var name="";
    
        if (!clear){
            var fileElem=document.getElementById(id);
            var value=fileElem.value;
    
            var slash="\\";
            if (value.indexOf("/")!=-1){
                slash="/";
            }
    
            if (value.indexOf(".")!=-1){
                name=value.substring(value.lastIndexOf(slash)+1,value.lastIndexOf("."));
                ext=value.substring(value.lastIndexOf(".") + 1);
            }
            else{ 
                name=value.substring(value.lastIndexOf(slash)+1);
            }
        }
        else{
            ext="";
            //document.getElementById(id+"_mimeType").value = "";
        }
        
        if (nameElem){ 
            nameElem.value=name;
        }
        
        if (extElem){
            extElem.value=ext;
        }
    },

    hideSaveButton: function(){
        divs = window.document.getElementsByTagName("div");
        for(i=0; i<divs.length; i++){
            if(divs[i].className=="mgnlDialogTabsetSaveBar"){
                var div = divs[i];
                div.firstChild.style.visibility = "hidden";
            }
        }
    }
});